Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.expr
Interface StaticContext

All Known Subinterfaces:
  XSLTStaticContext

All Known Implementing Classes:
  ExpressionContext, IndependentContext, StandaloneContext, StaticQueryContext, UseWhenStaticContext

public interface StaticContext

A StaticContext contains the information needed while an expression or pattern is being parsed. The information is also sometimes needed at run-time.

Method Summary
`VariableReference` | `bindVariable(int fingerprint)` Bind a variable used in this element to the XSLVariable element in which it is declared
`java.lang.String` | `getBaseURI()` Get the Base URI of the stylesheet element, for resolving any relative URI's used in the expression.
`java.util.Comparator` | `getCollation(java.lang.String name)` Get a named collation.
`Configuration` | `getConfiguration()` Get the system configuration
`java.lang.String` | `getDefaultCollationName()` Get the name of the default collation.
`short` | `getDefaultElementNamespace()` Get the default XPath namespace, as a namespace code that can be looked up in the NamePool
`java.lang.String` | `getDefaultFunctionNamespace()` Get the default function namespace
`FunctionLibrary` | `getFunctionLibrary()` Get the function library containing all the in-scope functions available in this static context
`java.util.Set` | `getImportedSchemaNamespaces()` Get the set of imported schemas
`int` | `getLineNumber()` Get the line number of the expression within its containing entity Returns -1 if no line number is available
`LocationMap` | `getLocationMap()` Get the location map.
`NamePool` | `getNamePool()` Get the NamePool used for compiling expressions
`NamespaceResolver` | `getNamespaceResolver()` Get a namespace resolver to resolve the namespaces declared in this static context.
`java.lang.String` | `getSystemId()` Get the System ID of the container of the expression.
`java.lang.String` | `getURIForPrefix(java.lang.String prefix)` Get the URI for a namespace prefix.
`boolean` | `isAllowedBuiltInType(AtomicType type)` Determine whether a built-in type is available in this context.
`boolean` | `isImportedSchema(java.lang.String namespace)` Determine whether a Schema for a given target namespace has been imported.
`boolean` | `isInBackwardsCompatibleMode()` Determine whether Backwards Compatible Mode is used
`void` | `issueWarning(java.lang.String s, javax.xml.transform.SourceLocator locator)` Issue a compile-time warning
`XPathContext` | `makeEarlyEvaluationContext()` Construct a dynamic context for early evaluation of constant subexpressions

Method Detail

### getConfiguration

    public Configuration getConfiguration()

  Get the system configuration

### makeEarlyEvaluationContext

    public XPathContext makeEarlyEvaluationContext()

  Construct a dynamic context for early evaluation of constant subexpressions

### getLocationMap

    public LocationMap getLocationMap()

  Get the location map. This is a mapping from short location ids held with each expression or subexpression, to a fully-resolved location in a source stylesheet or query.

### issueWarning

    public void issueWarning(java.lang.String s,
                             javax.xml.transform.SourceLocator locator)

  Issue a compile-time warning

### getSystemId

    public java.lang.String getSystemId()

  Get the System ID of the container of the expression. This is the containing entity (file) and is therefore useful for diagnostics. Use getBaseURI() to get the base URI, which may be different.

### getLineNumber

    public int getLineNumber()

  Get the line number of the expression within its containing entity Returns -1 if no line number is available

### getBaseURI

    public java.lang.String getBaseURI()

  Get the Base URI of the stylesheet element, for resolving any relative URI's used in the expression. Used by the document(), doc(), resolve-uri(), and base-uri() functions. May return null if the base URI is not known.

### getURIForPrefix

    public java.lang.String getURIForPrefix(java.lang.String prefix)
                                     throws XPathException

  Get the URI for a namespace prefix. The default namespace is NOT used when the prefix is empty.

  Parameters:
    `prefix` - The prefix
  Throws:
    `XPathException` - if the prefix is not declared

### getNamePool

    public NamePool getNamePool()

  Get the NamePool used for compiling expressions

### bindVariable

    public VariableReference bindVariable(int fingerprint)
                                   throws StaticError

  Bind a variable used in this element to the XSLVariable element in which it is declared

  Parameters:
    `fingerprint` - the name of the variable
  Returns:
    a VariableReference representing the variable reference, suitably initialized to refer to the corresponding variable declaration
  Throws:
    `StaticError`

### getFunctionLibrary

    public FunctionLibrary getFunctionLibrary()

  Get the function library containing all the in-scope functions available in this static context

### getCollation

    public java.util.Comparator getCollation(java.lang.String name)

  Get a named collation.

  Parameters:
    `name` - The name of the required collation. Supply null to get the default collation.
  Returns:
    the collation; or null if the required collation is not found.

### getDefaultCollationName

    public java.lang.String getDefaultCollationName()

  Get the name of the default collation.

  Returns:
    the name of the default collation; or the name of the codepoint collation if no default collation has been defined

### getDefaultElementNamespace

    public short getDefaultElementNamespace()

  Get the default XPath namespace, as a namespace code that can be looked up in the NamePool

### getDefaultFunctionNamespace

    public java.lang.String getDefaultFunctionNamespace()

  Get the default function namespace

### isInBackwardsCompatibleMode

    public boolean isInBackwardsCompatibleMode()

  Determine whether Backwards Compatible Mode is used

### isImportedSchema

    public boolean isImportedSchema(java.lang.String namespace)

  Determine whether a Schema for a given target namespace has been imported. Note that the in-scope element declarations, attribute declarations and schema types are the types registered with the (schema-aware) configuration, provided that their namespace URI is registered in the static context as being an imported schema namespace. (A consequence of this is that within a Configuration, there can only be one schema for any given namespace, including the null namespace).

### getImportedSchemaNamespaces

    public java.util.Set getImportedSchemaNamespaces()

  Get the set of imported schemas

  Returns:
    a Set, the set of URIs representing the names of imported schemas

### isAllowedBuiltInType

    public boolean isAllowedBuiltInType(AtomicType type)

  Determine whether a built-in type is available in this context. This method caters for differences between host languages as to which set of types are built in.

  Parameters:
    `type` - the supposedly built-in type. This will always be a type in the XS or XDT namespace.
  Returns:
    true if this type can be used in this static context

### getNamespaceResolver

    public NamespaceResolver getNamespaceResolver()

  Get a namespace resolver to resolve the namespaces declared in this static context.

  Returns:
    a namespace resolver.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD